Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticXPUtils

    java.lang.Object
      com.jgoodies.looks.plastic.PlasticXPUtils

    public final class PlasticXPUtils

extends Object

Consists exclusively of static methods that provide convenience behavior.

Version:
  $Revision: 1.5 $
Author:
  Karsten Lentzsch

Method Summary
`static void` | `drawButtonBorder(Graphics g, int x, int y, int w, int h, Color backgroundColor, Color edgeColor, Color cornerColor)` Draws a button border for an xp button with the given colors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### drawButtonBorder

    public static void drawButtonBorder(Graphics g,
                                        int x,
                                        int y,
                                        int w,
                                        int h,
                                        Color backgroundColor,
                                        Color edgeColor,
                                        Color cornerColor)

  Draws a button border for an xp button with the given colors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.